Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class SignatureSpi

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.SignatureSpi

Direct Known Subclasses:
  PK11Signature

public abstract class SignatureSpi
extends java.lang.Object

You don't need to use this unless you are hacking JSS.

Constructor Summary
`SignatureSpi()`

Method Summary
`abstract void` | `engineInitSign(PrivateKey privateKey)`
`abstract void` | `engineInitSign(PrivateKey privateKey, java.security.SecureRandom random)`
`abstract void` | `engineInitVerify(java.security.PublicKey publicKey)`
`abstract void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`abstract byte[]` | `engineSign()`
`abstract int` | `engineSign(byte[] outbuf, int offset, int len)`
`abstract void` | `engineUpdate(byte b)`
`abstract void` | `engineUpdate(byte[] b, int off, int len)`
`abstract boolean` | `engineVerify(byte[] sigBytes)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### SignatureSpi

    public SignatureSpi()

Method Detail

### engineInitVerify

    public abstract void engineInitVerify(java.security.PublicKey publicKey)
                                   throws java.security.InvalidKeyException,
                                          TokenException

### engineInitSign

    public abstract void engineInitSign(PrivateKey privateKey)
                                 throws java.security.InvalidKeyException,
                                        TokenException

### engineInitSign

    public abstract void engineInitSign(PrivateKey privateKey,
                                        java.security.SecureRandom random)
                                 throws java.security.InvalidKeyException,
                                        TokenException

### engineUpdate

    public abstract void engineUpdate(byte b)
                               throws java.security.SignatureException,
                                      TokenException

### engineUpdate

    public abstract void engineUpdate(byte[] b,
                                      int off,
                                      int len)
                               throws java.security.SignatureException,
                                      TokenException

### engineSign

    public abstract byte[] engineSign()
                               throws java.security.SignatureException,
                                      TokenException

### engineSign

    public abstract int engineSign(byte[] outbuf,
                                   int offset,
                                   int len)
                            throws java.security.SignatureException,
                                   TokenException

### engineVerify

    public abstract boolean engineVerify(byte[] sigBytes)
                                  throws java.security.SignatureException,
                                         TokenException

### engineSetParameter

    public abstract void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)
                                     throws java.security.InvalidAlgorithmParameterException,
                                            TokenException

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD